@extends ('layouts.company-client-layout')
@section('company-client-content')
<div>
    <a href="{{ route('patients.view.customers', $patient) }}">
        < Back to customers</a>
</div>
<div class="mb-1 bg-light">
    <div class="row">
        <div class="col-md-12">
            <div>
                <div class="d-flex align-items-end pb-3">
                    <h4 class="font-weight-bold m-0">
                        Customer: {{ $customer->company->name }}
                    </h4>
                </div>
            </div>

        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-8">
        @include('app.patient.company-client.partials.customer-invoices')
    </div>
    <div class="col-md-4">
        @include('app.patient.company-client.partials.customer-payment-methods')
    </div>
</div>
@endsection