<div class="d-flex justify-content-around align-items-center">
	<div>
		<div moe relative>
			<a href="#" start show class="ml-3 d-flex align-items-baseline"><i class="fa fa-comment mr-1"></i></a>
			<form right url="/api/clientSms/createOutgoing" class="mcp-theme-1" noreload>
				<input type="hidden" name="uid" value="{{ $patient->uid }}">
				<div class="mb-2">
					<label for="" class="text-sm text-secondary mb-1">Cell
						Number</label>
					<input type="text" class="form-control form-control-sm" name="cellNumber" value="{{$patient->cell_number}}">
				</div>
				<div class="mb-2">
					<label for="" class="text-sm text-secondary mb-1">Message</label>
					<textarea type="text" class="form-control form-control-sm" name="message"></textarea>
				</div>
				<div class="d-flex align-items-center">
					<button class="btn btn-sm btn-primary mr-2" submit>Send</button>
					<button class="btn btn-sm btn-default mr-2 border" cancel>
						Cancel
					</button>
				</div>
			</form>
		</div>
	</div>
	<div>
		<span moe relative class="">
			<a href="#" start show class="ml-2 d-flex align-items-baseline" title="SMS check-in link to the patient"><i class="fa fa-paper-plane mr-1"></i></a>
			<form right url="/api/client/sendCheckInTokenViaSmsOrEmail" class="mcp-theme-1">
				<input type="hidden" name="uid" value="{{ $patient->uid }}">
				<p class="small min-width-200px mb-2">Send Check-In link to patient?</p>
				<div class="mb-2">
					<label for="" class="text-sm text-secondary mb-1">Cell Number</label>
					<input type="text" class="form-control input-sm" name="cellNumber" value="{{$patient->cell_number}}">
				</div>
				<div class="mb-2">
					<label for="" class="text-sm text-secondary mb-1">Email address</label>
					<input type="text" class="form-control input-sm" name="emailAddress" value="{{$patient->email_address}}">
				</div>
				<div class="d-flex align-items-center">
					<button class="btn btn-sm btn-primary mr-2" submit>Send</button>
					<button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
				</div>
			</form>
		</span>
	</div>
	@if($performer->pro->pro_type == 'ADMIN')
	<div>
		<a href="#" start class="ml-2 d-block" show onclick="return openInRHS('/pro/check-video/{{ $patient->uid }}')"><i class="fa fa-eye mr-1"></i></a>
	</div>
	@endif
	<div class="mr-2">
		<a href="#" start class="ml-2 d-block" show onclick="return openInRHS('/pro/meet/{{ $patient->uid }}')"><i class="fa fa-video mr-1"></i></a>
	</div>
</div>